# Copyright 2045 some authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

ARG SCANNER_VERSION=v2.0.9
ARG KLAR_EXECUTABLE_VERSION=2.4.0
ARG KLAR_EXECUTABLE_SHA=09764983d4e9a883754b55b16edf5f0be558ab053ad6ee447aca0199ced3d09f

ARG SCANNER_VERSION
ARG KLAR_EXECUTABLE_VERSION
ARG KLAR_EXECUTABLE_SHA

RUN apk add --no-cache --update git rpm xz
WORKDIR /go/src/github.com/coreos/clair/
ENV RUNNING_FROM_DOCKER "true"
COPY container-scanner /container-scanner
RUN apk --no-cache --update add ca-certificates dumb-init

WORKDIR /

CMD ["/usr/bin/dumb-init", "/container-scanner/start.sh"]